KYLIN-AI-DOCUMENT-QA-SERVICE(1)

NAME
kylin-ai-document-qa-service - Kylin AI document QA service

SYNOPSIS
kylin-ai-document-qa-service [-d directory] [-f filename] [-s service-name]
kylin-ai-document-qa-service -h

DESCRIPTION
kylin-ai-document-qa-service runs the Kylin AI document knowledge-base service. The service registers knowledge-base handlers with the Kylin AI business framework and provides operations for creating knowledge bases, importing text files, retrieving file contents, and similarity search.

The program is normally started by the systemd user unit kylin-ai-document-qa-service.service(5). The packaged user unit starts the service as:

    /usr/bin/kylin-ai-document-qa-service -s KnowledgeBase

OPTIONS

-d directory
    Set the configuration file directory.

-f filename
    Set the configuration file name.

-s service-name
    Set the service name used by the Kylin AI business framework. The packaged systemd user unit uses KnowledgeBase.

-h  Show usage information and exit immediately.

FILES

/usr/lib/systemd/user/kylin-ai-document-qa-service.service
    systemd user unit installed by the package.

/usr/share/kylin-ai/kyai-business-framework/KnowledgeBase.json
    Packaged service configuration.

SEE ALSO
systemd.user(5), systemctl(1)

AUTHOR
KylinSoft Co., Ltd.